Skip site navigation (1) Skip section navigation (2)

Re: Postgresql RPM upgrade (8.2.3 -> 8.2.9)

From: "Marco Bizzarri" <marco(dot)bizzarri(at)gmail(dot)com>
To: PgSQL-General <pgsql-general(at)postgresql(dot)org>
Subject: Re: Postgresql RPM upgrade (8.2.3 -> 8.2.9)
Date: 2008-08-28 04:11:19
Message-ID: 3f0d61c40808272111n1d3ad3a0nc989b415d1447f04@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-general
On Thu, Aug 28, 2008 at 3:00 AM, Phoenix Kiula <phoenix(dot)kiula(at)gmail(dot)com> wrote:

> Now, is it correct that i don't have to stop my server and I can just
> execute these commands:
>
> rpm -Uvh --test postgresql-libs-8.2.9-1PGDG.rhel4.i386.rpm
> rpm -Uvh --test postgresql-8.2.9-1PGDG.rhel4.i386.rpm
> rpm -Uvh --test postgresql-contrib-8.2.9-1PGDG.rhel4.i386.rpm
> rpm -Uvh --test postgresql-devel-8.2.9-1PGDG.rhel4.i386.rpm
> rpm -Uvh --test postgresql-server-8.2.9-1PGDG.rhel4.i386.rpm
>
> And all will be okay? (I would run these without the "--test") Right
> now, these tests give errors.
>


Most probably your errors are caused by dependencies between the
packages; as someone else already suggested, try to write the command
as:

rpm -Uvh --test postgresql-8.2.9... postgresql-server...

etc. In that way all the dependencies should be addressed.

If that does not solve the problem, post the error message.


Regards
Marco
-- 
Marco Bizzarri
http://iliveinpisa.blogspot.com/

In response to

Responses

pgsql-general by date

Next:From: Phoenix KiulaDate: 2008-08-28 04:39:20
Subject: Re: Postgresql RPM upgrade (8.2.3 -> 8.2.9)
Previous:From: Devrim GÜNDÜZDate: 2008-08-28 03:02:17
Subject: Re: Postgresql RPM upgrade (8.2.3 -> 8.2.9)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group